#!/bin/sh

# This is a simple script that downloads current weather conditions and zone
# forecast from the National Weather Service to /tmp and displays them.
# 
# This script is preconfigured for the Yakima, WA area.
# It is biased toward the US, as it gets its data from the NWS.
# 
# To change the observations site, replace KYKM with another observations site.
# See <http://weather.noaa.gov/pub/data/observations/metar/decoded/> for a list.
# For the bare, unparsed METAR, replace "decoded" in the URI with "stations".
# 
wget -q -O /tmp/wx-current.txt http://weather.noaa.gov/pub/data/observations/metar/decoded/KYKM.TXT
echo " *************************** Yakima, WA Weather **************************** "
echo ""
fold -w 78 -s /tmp/wx-current.txt
